package xtools.boot.mask.utils;

import xtools.boot.core.holder.CommonHolder;

/**
 * <p>Title : MaskUtils</p>
 * <p>Description : MaskUtils</p>
 * <p>DevelopTools : Idea_x64_v2026.1</p>
 * <p>DevelopSystem : macOS Sequoia 15.7.5</p>
 * <p>Company : org.xujun</p>
 *
 * @author : XuJun
 * @version : 5.0.0
 * @date : 2026/2/9 16:38
 */
public class MaskIgnoreUtils {

    /**
     * 忽略脱敏
     */
    private static final String IGNORE = "mask-ignore";

    /**
     * 忽略脱敏
     */
    public static void ignore() {
        CommonHolder.set(IGNORE, true);
    }

    /**
     * 是否忽略脱敏
     *
     * @return true 忽略, false 不忽略
     */
    public static boolean isIgnore() {
        return CommonHolder.getBoolean(IGNORE);
    }

}
